/* BOTÓN EMERGENTE CONTACTO */
/* Botón emergente */
#floating-button {
    position: fixed;
    bottom: 50px;
    right: 30px;
    z-index: 100;
    transition: all .3s ease-in-out;
    animation: 2s ease 0s infinite beat;
    z-index: 9999999999;
}
#floating-button button {
    background-color: #FF9700;
    border-radius: 100%;
    box-shadow:rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    border: none;
    font-size: 33px;
    width: 55px;
    height: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer !important;
}
#floating-button button:focus, #floating-button button:hover, #floating-button button:active {
    outline: 0px !important;
}
#floating-button button i {
    color: white;
}

/* Animaciones botón emergente */
@keyframes beat {
    0%, 50%, 100% { transform: scale(1, 1); }
    30%, 80% { transform: scale(0.92, 0.95); }
}
@keyframes rotate-icon {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(180deg);
    }
}
.rotate-animation {
    animation: rotate-icon .2s linear;
}

/* Enlaces contacto */  
#social-links {
    position: fixed;
    bottom: 25px; 
    right: 75px;
    z-index: 99;
    flex-direction:row !important;
    padding:10px;
    margin-bottom:15px;
    align-items: center;
    justify-content: center;
    margin-right: 10px;
    animation-fill-mode: forwards;
    z-index: 9999999999;
}
#social-links.show {
    display: inline-flex !important;
}
@media(max-width:640px) {
    #social-links {
        bottom: 28px; 
    }
}
#social-links a {
    font-size: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: black;
    transition: all .3s ease-in-out;
    margin-right: 5px;
}
#social-links a:hover, #social-links a:focus {
    opacity: .8;
    text-decoration: none !important;
}
#social-links a span {
    font-size: 17px;
    border-radius: 100%;
    width: 50px !important;
    height: 50px !important;
    display: flex;
    justify-content: center;
    align-items:center;
}
#social-links a .icon-whats {
    background-color: #4dc247;
}
#social-links a .icon-telegram {
    background-color: #0088CC;
}
#social-links a .icon-mail {
    background-color: #f84a3d;
}
#social-links i {
    color: white;
    font-size:30px;
    margin-top: -2px
}
#social-links .icon-mail:before {
    display: none;
}
#social-links .icon-mail svg {
    width:30px;
    height: 30px;
    fill:white;
}

/* Animaciones div enlaces contacto */
@keyframes fadein {
    0% { opacity: 0; }
    50% { opacity: 0.5; }
    100% { opacity: 1; }
}
@keyframes fadeout {
    0% { opacity: 1; }
    50% { opacity: 0.5; }
    100% { opacity: 0; }
}
.show {
    animation: fadein .4s; /* Aplica la animación de aparición */
}
.hide {
    animation: fadeout .3s; /* Aplica la animación de desaparición */
}